Bug 914042 - SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the directory /var/log/z-push.
Summary: SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the directo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eaf447093cf2649e095bfe74dca...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-22 09:28 UTC by lisaar
Modified: 2013-04-18 02:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:49:08 UTC


Attachments (Terms of Use)

Description lisaar 2013-02-22 09:28:26 UTC
Description of problem:
Yum Install processing 
SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the directory /var/log/z-push.

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que logrotate devrait être autorisé à accéder read sur z-push directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep logrotate /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:httpd_sys_rw_content_t:s0
Target Objects                /var/log/z-push [ dir ]
Source                        logrotate
Source Path                   /usr/sbin/logrotate
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           logrotate-3.8.3-1.fc18.x86_64
Target RPM Packages           z-push-2.0.6-1.fc18.noarch
Policy RPM                    selinux-policy-3.11.1-79.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.7.9-201.fc18.x86_64 #1 SMP Mon
                              Feb 18 21:07:56 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-02-22 11:18:02 CET
Last Seen                     2013-02-22 11:18:02 CET
Local ID                      c9daf2bc-4a93-4ccf-8e6e-0bfaec58f2d2

Raw Audit Messages
type=AVC msg=audit(1361528282.342:447): avc:  denied  { read } for  pid=20025 comm="logrotate" name="z-push" dev="dm-1" ino=2495667 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:httpd_sys_rw_content_t:s0 tclass=dir


type=SYSCALL msg=audit(1361528282.342:447): arch=x86_64 syscall=openat success=no exit=EACCES a0=ffffffffffffff9c a1=7fff955cfc80 a2=90800 a3=0 items=0 ppid=20023 pid=20025 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=10 tty=(none) comm=logrotate exe=/usr/sbin/logrotate subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)

Hash: logrotate,logrotate_t,httpd_sys_rw_content_t,dir,read

audit2allow

#============= logrotate_t ==============
allow logrotate_t httpd_sys_rw_content_t:dir read;

audit2allow -R

#============= logrotate_t ==============
allow logrotate_t httpd_sys_rw_content_t:dir read;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.7.9-201.fc18.x86_64
type:           libreport

Comment 1 George Chalkitis 2013-04-04 08:31:50 UTC
Description of problem:
Activating the scroll with mouse option on windows list   on Cinnamon desktop

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.5-201.fc18.x86_64
type:           libreport

Comment 2 Miroslav Grepl 2013-04-08 09:57:57 UTC
Fixed in selinux-policy-3.11.1-89.fc18.noarch

Comment 3 Fedora Update System 2013-04-15 11:09:46 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 4 Fedora Update System 2013-04-16 00:05:15 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-18 02:49:09 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.